#include <sqlca.h>
#include <sqlda.h>
#include <sqltypes.h>

chk_fatal( stmt)
char *stmt;
{
    if (sqlca.sqlcode < 0L)
	chk_error( stmt);
}

chk_error( stmt)
char *stmt;
{
    if (sqlca.sqlcode != 0L) {
	pr_error( stmt);
	exit( 1);
    }
}

pr_error( stmt)
char *stmt;
{
    if (sqlca.sqlcode != 0L)
	printf( "%s error %ld: %s\n", stmt, sqlca.sqlcode, sqlca.sqlerrm);
}
